Bug 250158 - but the update 5 4.5 doesn't accept the -e option.
Summary: but the update 5 4.5 doesn't accept the -e option.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: policycoreutils   
(Show other bugs)
Version: 4.5
Hardware: All Linux
high
high
Target Milestone: ---
: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-30 19:23 UTC by Michael Waite
Modified: 2007-11-17 01:14 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0787
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 16:07:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0787 normal SHIPPED_LIVE policycoreutils bug fix update 2007-11-14 18:35:35 UTC

Description Michael Waite 2007-07-30 19:23:11 UTC
Update 5 has changed the restorecon utility that HIP uses to label files.
  
Here is an example invokation:
[root@jahnighthawk log]# /sbin/restorecon -f -  -e /selinux -e
/var/lib/nfs/rpc_pipefs -e /proc -e /sys
/sbin/restorecon: invalid option -- e
usage:  /sbin/restorecon [-Rnv] [-f filename | pathname... ]
 
This is a correct invocation according to the man page, but the update 5 
version doesn't accept the -e option.






Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Walsh 2007-07-30 19:59:01 UTC
This is a regression and should be fixed quickly.

Fixed in policycoreutils-1.18.1-4.13.src.rpm


Comment 2 RHEL Product and Program Management 2007-07-30 20:04:31 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 10 errata-xmlrpc 2007-11-15 16:07:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0787.html



Note You need to log in before you can comment on or make changes to this bug.